com.avaya.deskphoneservices

## Class BaseConferenceListener

- java.lang.Object
- - com.avaya.deskphoneservices.BaseConferenceListener

- All Implemented Interfaces:
    com.avaya.clientservices.call.conference.ConferenceListener

      public abstract class BaseConferenceListener
      extends java.lang.Object
      implements com.avaya.clientservices.call.conference.ConferenceListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseConferenceListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onConferenceActiveTalkersChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.common.DataCollectionChangeType changeType, java.util.List<com.avaya.clientservices.call.conference.ActiveParticipant> participants)` Called to report a change in conference call's active talker list.
    `void` | `onConferenceAlwaysDisplayActiveSpeakerVideoChanged(com.avaya.clientservices.call.conference.Conference conference, boolean alwaysDisplayActiveSpeakerVideo)` Reports that the option that controls display of the active speaker's video has changed.
    `void` | `onConferenceAvailableVideoLayoutsChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.call.conference.VideoLayout[] layouts)` Reports that the list of available video layouts supported by the conference server has changed.
    `void` | `onConferenceBrandNameChanged(com.avaya.clientservices.call.conference.Conference conference, java.lang.String s)` Called to report that the conference's brand name has changed.
    `void` | `onConferenceCapabilitiesChanged(com.avaya.clientservices.call.conference.Conference conference)` Called to report a change in conference call's capabilities.
    `void` | `onConferenceContinuationStatusChanged(com.avaya.clientservices.call.conference.Conference conference, boolean b)` Called to report that the continuation property of the conference has changed as a result of a local or a remote operation.
    `void` | `onConferenceDisplayVideoParticipantNameChanged(com.avaya.clientservices.call.conference.Conference conference, boolean displayVideoParticipantName)` Reports that the option that controls display of the participant name in video image has changed.
    `void` | `onConferenceDroppedParticipantsChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.common.DataCollectionChangeType changeType, java.util.List<com.avaya.clientservices.call.conference.DroppedParticipant> participants)` Called to report a change in conference call's dropped participant list.
    `void` | `onConferenceEncryptionStatusChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.call.conference.ConferenceEncryptionStatus conferenceEncryptionStatus)` Called to report that the conference's encryption status has changed based on the encryption status of current participants on the call.
    `void` | `onConferenceEndTimeChanged(com.avaya.clientservices.call.conference.Conference conference, java.util.Date date)` Called to report that the conference's end time has been specified as a result of a local or a remote operation.
    `void` | `onConferenceEntryExitToneStatusChanged(com.avaya.clientservices.call.conference.Conference conference, boolean b)` Called to report that the conference's entry/exit tone enabled status has changed as a result of a local or a remote operation.
    `void` | `onConferenceExternalAdmissionStatusChanged(com.avaya.clientservices.call.conference.Conference conference, boolean bIsRequired)` Called to report that the external admission status for the current conference call has changed.
    `void` | `onConferenceHandLowered(com.avaya.clientservices.call.conference.Conference conference)` Notifies the application that the local user's hand has been lowered.
    `void` | `onConferenceHandRaised(com.avaya.clientservices.call.conference.Conference conference)` Called to report local user's hand has been raised.
    `void` | `onConferenceLectureModeStatusChanged(com.avaya.clientservices.call.conference.Conference conference, boolean b)` Called to report that the conference's lecture mode status has changed as a result of a local or a remote operation.
    `void` | `onConferenceLockStatusChanged(com.avaya.clientservices.call.conference.Conference conference, boolean b)` Called to report that the conference's lock status has changed as a result of a local or a remote operation.
    `void` | `onConferenceParticipantsChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.common.DataCollectionChangeType changeType, java.util.List<com.avaya.clientservices.call.conference.ActiveParticipant> participants)` Called to report a change in conference call's participant list.
    `void` | `onConferencePasscodeRequired(com.avaya.clientservices.call.conference.Conference conference, boolean b)` Called to report that the user needs to provide admission passcode before (s)he can be admitted to the conference call.
    `void` | `onConferencePendingParticipantsChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.common.DataCollectionChangeType changeType, java.util.List<com.avaya.clientservices.call.conference.PendingParticipant> participants)` Called to report a change in conference call's pending participant list.
    `void` | `onConferencePermissionToEnterLockedConferenceRequired(com.avaya.clientservices.call.conference.Conference conference)` Called to report that the user is trying to join a locked conference call that does not require a passcode for entry.
    `void` | `onConferenceRecentTalkersChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.common.DataCollectionChangeType changeType, java.util.List<com.avaya.clientservices.call.conference.ActiveParticipant> participants)` Called to report a change in conference call's recent talkers list.
    `void` | `onConferenceRecordingStatusChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.call.conference.ConferenceRecordingStatus conferenceRecordingStatus)` Called to report that the conference's recording status has changed as a result of a local or a remote operation.
    `void` | `onConferenceServiceAvailable(com.avaya.clientservices.call.conference.Conference conference)` Called to report that the conference has a healthy signaling path.
    `void` | `onConferenceServiceUnavailable(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.call.ConferenceConnectionError error)` Called to report that the conference does not have a healthy signaling path.
    `void` | `onConferenceStarted(com.avaya.clientservices.call.conference.Conference conference)` Called to report that the conference has started.
    `void` | `onConferenceStreamingStatusChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.call.conference.ConferenceStreamingStatus streamingStatus)` Called to report that the conference's streaming status has changed.
    `void` | `onConferenceSubjectChanged(com.avaya.clientservices.call.conference.Conference conference, java.lang.String s)` Called to report that the conference's subject/title has changed.
    `void` | `onConferenceVideoLayoutChanged(com.avaya.clientservices.call.conference.Conference conference, com.avaya.clientservices.call.conference.VideoLayout layout)` Reports that the layout of the video image created by the conference server has changed.
    `void` | `onConferenceVideoSelfSeeChanged(com.avaya.clientservices.call.conference.Conference conference, boolean selfSee)` Reports that the option that controls the self-see video has changed.
    `void` | `onConferenceVideoStatusChanged(com.avaya.clientservices.call.conference.Conference conference, boolean b)` Called to report that the conference's video enabled status has changed as a result of a local or a remote operation.
    `void` | `onConferenceWaitingToStart(com.avaya.clientservices.call.conference.Conference conference)` Called to report that the conference has not started, and the local user is waiting for the conference to start.
    `void` | `onConferenceWebURIChanged(com.avaya.clientservices.call.conference.Conference conference, java.lang.String s)` Called to report that the conference's Web URI has changed.
    `void` | `onEventConferenceStatusChanged(com.avaya.clientservices.call.conference.Conference conference, boolean eventConference)` Called to report that the conference's type has been changed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseConferenceListener

          public BaseConferenceListener()

  - ### Method Detail

    - #### onConferenceCapabilitiesChanged

          public void onConferenceCapabilitiesChanged(com.avaya.clientservices.call.conference.Conference conference)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report a change in conference call's capabilities. The listener can query the Conference object to find out about the capability that changed. Usually, the capabilities changed notification is tied to the features supported by the conference server as well as the local user's role (e.g., moderator, presenter, lecturer, etc.) for the conference call.
      Specified by:
        `onConferenceCapabilitiesChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.

    - #### onConferenceLockStatusChanged

          public void onConferenceLockStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                    boolean b)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's lock status has changed as a result of a local or a remote operation.
      Specified by:
        `onConferenceLockStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `b` - New lock status of the call.
      See Also:
        `Conference.setLocked(boolean, com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isLocked()`

    - #### onConferenceContinuationStatusChanged

          public void onConferenceContinuationStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                            boolean b)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the continuation property of the conference has changed as a result of a local or a remote operation.
      Specified by:
        `onConferenceContinuationStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `b` - New continuation status of the call.
      See Also:
        `Conference.setContinuation(boolean, com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isContinuationActive()`

    - #### onConferenceVideoStatusChanged

          public void onConferenceVideoStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                     boolean b)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's video enabled status has changed as a result of a local or a remote operation.
      Specified by:
        `onConferenceVideoStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `b` - New video status of the call
      See Also:
        `Conference.setVideoAllowed(boolean, com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isVideoAllowed()`

    - #### onConferenceLectureModeStatusChanged

          public void onConferenceLectureModeStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                           boolean b)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's lecture mode status has changed as a result of a local or a remote operation.
      Specified by:
        `onConferenceLectureModeStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `b` - New lecture mode status of the call.
      See Also:
        `Conference.setLectureMode(boolean, com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isLectureModeActive()`

    - #### onConferenceEntryExitToneStatusChanged

          public void onConferenceEntryExitToneStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                             boolean b)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's entry/exit tone enabled status has changed as a result of a local or a remote operation.
      Specified by:
        `onConferenceEntryExitToneStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `b` - New entry/exit tone status of the call.
      See Also:
        `Conference.setEntryExitTone(boolean, com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isEntryExitToneActive()`

    - #### onConferenceSubjectChanged

          public void onConferenceSubjectChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                 java.lang.String s)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's subject/title has changed.
      Specified by:
        `onConferenceSubjectChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `s` - New subject of the conference call.

    - #### onConferenceBrandNameChanged

          public void onConferenceBrandNameChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                   java.lang.String s)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's brand name has changed. The brand name is the product family brand name associated with the conference system.
      Specified by:
        `onConferenceBrandNameChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `s` - New brand name of the conference call.

    - #### onConferenceWebURIChanged

          public void onConferenceWebURIChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                java.lang.String s)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's Web URI has changed.
      Specified by:
        `onConferenceWebURIChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `s` - Web URI of the conference call as received from meeting server.

    - #### onConferenceVideoSelfSeeChanged

          public void onConferenceVideoSelfSeeChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                      boolean selfSee)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Reports that the option that controls the self-see video has changed.
      Specified by:
        `onConferenceVideoSelfSeeChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `selfSee` - New status of the video self-see setting.
      See Also:
        `Conference.setVideoSelfSee(boolean, com.avaya.clientservices.call.CallCompletionHandler)`

    - #### onConferenceDisplayVideoParticipantNameChanged

          public void onConferenceDisplayVideoParticipantNameChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                                     boolean displayVideoParticipantName)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Reports that the option that controls display of the participant name in video image has changed.
      Specified by:
        `onConferenceDisplayVideoParticipantNameChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `displayVideoParticipantName` - New status of the participant name display setting.
      See Also:
        `Conference.setDisplayVideoParticipantName(boolean, com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isVideoParticipantNameDisplayActive()`

    - #### onConferenceAlwaysDisplayActiveSpeakerVideoChanged

          public void onConferenceAlwaysDisplayActiveSpeakerVideoChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                                         boolean alwaysDisplayActiveSpeakerVideo)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Reports that the option that controls display of the active speaker's video has changed.
      Specified by:
        `onConferenceAlwaysDisplayActiveSpeakerVideoChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `alwaysDisplayActiveSpeakerVideo` - New status of the active speaker's video display setting.
      See Also:
        `Conference.isActiveSpeakerVideoAlwaysDisplayed()`

    - #### onConferenceVideoLayoutChanged

          public void onConferenceVideoLayoutChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                     com.avaya.clientservices.call.conference.VideoLayout layout)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Reports that the layout of the video image created by the conference server has changed.
      Specified by:
        `onConferenceVideoLayoutChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `layout` - New video layout setting.
      See Also:
        `Conference.setVideoLayout(VideoLayout, com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.getCurrentVideoLayout()`

    - #### onConferenceAvailableVideoLayoutsChanged

          public void onConferenceAvailableVideoLayoutsChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                               com.avaya.clientservices.call.conference.VideoLayout[] layouts)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Reports that the list of available video layouts supported by the conference server has changed.
      Specified by:
        `onConferenceAvailableVideoLayoutsChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `layouts` - New list of available video layouts.
      See Also:
        `Conference.getSupportedVideoLayoutList()`

    - #### onConferenceActiveTalkersChanged

          public void onConferenceActiveTalkersChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                       com.avaya.clientservices.common.DataCollectionChangeType changeType,
                                                       java.util.List<com.avaya.clientservices.call.conference.ActiveParticipant> participants)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report a change in conference call's active talker list.
      Specified by:
        `onConferenceActiveTalkersChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `changeType` - Indicates the type of change that occurred on the active talker list.
        `participants` - The participants that have changed. Note that for a change type of COLLECTION_CLEARED this list will be empty.
      See Also:
        `Conference.getActiveTalkers()`, `ChangeType`

    - #### onConferenceHandLowered

          public void onConferenceHandLowered(com.avaya.clientservices.call.conference.Conference conference)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Notifies the application that the local user's hand has been lowered. This can occur when either the conference moderator or the local user lowers the hand.
      Specified by:
        `onConferenceHandLowered` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
      See Also:
        `Conference.raiseHand(com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.lowerHand(com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isHandRaised()`

    - #### onConferenceHandRaised

          public void onConferenceHandRaised(com.avaya.clientservices.call.conference.Conference conference)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report local user's hand has been raised.
      Specified by:
        `onConferenceHandRaised` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
      See Also:
        `Conference.raiseHand(com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.lowerHand(com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isHandRaised()`

    - #### onConferencePendingParticipantsChanged

          public void onConferencePendingParticipantsChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                             com.avaya.clientservices.common.DataCollectionChangeType changeType,
                                                             java.util.List<com.avaya.clientservices.call.conference.PendingParticipant> participants)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report a change in conference call's pending participant list.
      Specified by:
        `onConferencePendingParticipantsChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `changeType` - Indicates the type of change that occurred on the pending participant list.
        `participants` - The participants that have changed. Note that for a change type of COLLECTION_CLEARED this list will be empty.
      See Also:
        `Conference.getPendingParticipants()`, `ChangeType`

    - #### onConferenceParticipantsChanged

          public void onConferenceParticipantsChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                      com.avaya.clientservices.common.DataCollectionChangeType changeType,
                                                      java.util.List<com.avaya.clientservices.call.conference.ActiveParticipant> participants)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report a change in conference call's participant list.
      Specified by:
        `onConferenceParticipantsChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `changeType` - Indicates the type of change that occurred on the participant list.
        `participants` - The participants that have changed. Note that for a change type of COLLECTION_CLEARED this list will be empty.
      See Also:
        `Conference.getParticipants()`

    - #### onConferenceDroppedParticipantsChanged

          public void onConferenceDroppedParticipantsChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                             com.avaya.clientservices.common.DataCollectionChangeType changeType,
                                                             java.util.List<com.avaya.clientservices.call.conference.DroppedParticipant> participants)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report a change in conference call's dropped participant list.
      Specified by:
        `onConferenceDroppedParticipantsChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `changeType` - Indicates the type of change that occurred on the dropped participant list.
        `participants` - The participants that have changed. Note that for a change type of COLLECTION_CLEARED this list will be empty.
      See Also:
        `Conference.getDroppedParticipants()`, `ChangeType`

    - #### onConferenceRecentTalkersChanged

          public void onConferenceRecentTalkersChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                       com.avaya.clientservices.common.DataCollectionChangeType changeType,
                                                       java.util.List<com.avaya.clientservices.call.conference.ActiveParticipant> participants)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report a change in conference call's recent talkers list.
      Specified by:
        `onConferenceRecentTalkersChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `changeType` - Indicates the type of change that occurred on the recent talkers list.
        `participants` - The participants that have changed. Note that for a change type of COLLECTION_CLEARED this list will be empty.
      See Also:
        `Conference.getRecentTalkers()`, `ChangeType`

    - #### onConferenceServiceAvailable

          public void onConferenceServiceAvailable(com.avaya.clientservices.call.conference.Conference conference)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference has a healthy signaling path. Depending on the network topology, the call session and the conference controls may share the same signaling connection (e.g., SIP and tunnel CCMP), or may use different connections. This is why separate service available/unavailable callback is provided for the Conference object.
      Specified by:
        `onConferenceServiceAvailable` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference that the callback is associated with.

    - #### onConferenceServiceUnavailable

          public void onConferenceServiceUnavailable(com.avaya.clientservices.call.conference.Conference conference,
                                                     com.avaya.clientservices.call.ConferenceConnectionError error)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference does not have a healthy signaling path. Depending on the network topology, the call session and the conference controls may share the same signaling connection (e.g., SIP and tunnel CCMP), or may use different connections. This is why separate service available/unavailable callback is provided for the Conference object.
      Specified by:
        `onConferenceServiceUnavailable` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference that the callback is associated with.
        `error` - Current conference connection error.

    - #### onConferenceWaitingToStart

          public void onConferenceWaitingToStart(com.avaya.clientservices.call.conference.Conference conference)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference has not started, and the local user is waiting for the conference to start. At this point, the conference server may provide wait treatment to the end user, e.g., by playing music and/or displaying a still video image. This information is reported based on an indication received from the conference server and may not be provided depending on the server's capabilities.
      Specified by:
        `onConferenceWaitingToStart` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.

    - #### onConferenceStarted

          public void onConferenceStarted(com.avaya.clientservices.call.conference.Conference conference)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference has started. Called only when onConferenceWaitingToStart() is previously called.
      Specified by:
        `onConferenceStarted` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.

    - #### onConferenceRecordingStatusChanged

          public void onConferenceRecordingStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                         com.avaya.clientservices.call.conference.ConferenceRecordingStatus conferenceRecordingStatus)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's recording status has changed as a result of a local or a remote operation.
      Specified by:
        `onConferenceRecordingStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `conferenceRecordingStatus` - New recording status of the call.
      See Also:
        `Conference.startRecording(com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.stopRecording(com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.pauseRecording(com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.resumeRecording(com.avaya.clientservices.call.CallCompletionHandler)`, `Conference.isRecordingActive()`, `Conference.isRecordingPaused()`

    - #### onConferenceEncryptionStatusChanged

          public void onConferenceEncryptionStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                          com.avaya.clientservices.call.conference.ConferenceEncryptionStatus conferenceEncryptionStatus)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's encryption status has changed based on the encryption status of current participants on the call.
      Specified by:
        `onConferenceEncryptionStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `conferenceEncryptionStatus` - New encryption status of the call.
      See Also:
        `Conference.getEncryptionStatus()`

    - #### onConferenceEndTimeChanged

          public void onConferenceEndTimeChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                 java.util.Date date)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's end time has been specified as a result of a local or a remote operation.
      Specified by:
        `onConferenceEndTimeChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `date` - Conference's end time.
      See Also:
        `Conference.extendMeeting(int, com.avaya.clientservices.call.CallCompletionHandler)`

    - #### onConferencePasscodeRequired

          public void onConferencePasscodeRequired(com.avaya.clientservices.call.conference.Conference conference,
                                                   boolean b)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the user needs to provide admission passcode before (s)he can be admitted to the conference call. Upon receiving this event, the client application should prompt user for the conference admission passcode. If user chooses to enter the conference room, the client application needs to call `Conference.sendPasscode(String, com.avaya.clientservices.call.CallCompletionHandler)`, after collecting the passcode from the end user. If user chooses not to enter the conference room, the client application needs to call `Call.end()` to end the connection to the conference call.
      Specified by:
        `onConferencePasscodeRequired` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `b` - If set to true, it means that the conference room is locked and passcode is required to get in. If set to false, it means that the conference room is not locked, but passcode is required to get in.

    - #### onConferencePermissionToEnterLockedConferenceRequired

          public void onConferencePermissionToEnterLockedConferenceRequired(com.avaya.clientservices.call.conference.Conference conference)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the user is trying to join a locked conference call that does not require a passcode for entry. If the user chooses to request permission from the moderator to enter the call, the application should call `Conference.sendRequestToEnterLockedConference(com.avaya.clientservices.call.CallCompletionHandler)`. If the user chooses not to request permission, the application should `Call.end()` to end the connection to the conference call. It should be noted that a locked conference call may also require admission passcode. In this case, `ConferenceListener.onConferencePasscodeRequired(Conference, boolean)` is called with permissionToEnterLockedConferenceRequired set to true.
      Specified by:
        `onConferencePermissionToEnterLockedConferenceRequired` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.

    - #### onConferenceStreamingStatusChanged

          public void onConferenceStreamingStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                         com.avaya.clientservices.call.conference.ConferenceStreamingStatus streamingStatus)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's streaming status has changed.
      Specified by:
        `onConferenceStreamingStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `streamingStatus` - New streaming status of the call.
      See Also:
        `Conference.getStreamingStatus()`

    - #### onConferenceExternalAdmissionStatusChanged

          public void onConferenceExternalAdmissionStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                                 boolean bIsRequired)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the external admission status for the current conference call has changed.
      Specified by:
        `onConferenceExternalAdmissionStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference that the callback is associated with.
        `bIsRequired` - Current conference's external admission status.

    - #### onEventConferenceStatusChanged

          public void onEventConferenceStatusChanged(com.avaya.clientservices.call.conference.Conference conference,
                                                     boolean eventConference)

      Description copied from interface: `com.avaya.clientservices.call.conference.ConferenceListener`
      Called to report that the conference's type has been changed. Event conference is a large meeting (up to 2000 active participants) which is mainly used for large events and training.
      Specified by:
        `onEventConferenceStatusChanged` in interface `com.avaya.clientservices.call.conference.ConferenceListener`
      Parameters:
        `conference` - The conference object that the callback is associated with.
        `eventConference` - True if conference type changed to Event type. False - changed to Regular.
      See Also:
        `Conference.isEventConference()`